Bug 63415 - missing contributed information
Summary: missing contributed information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-26 22:20 UTC by Meno Abels
Modified: 2004-03-01 21:12 UTC (History)
0 users

See Also:


Attachments
file.diff (3.69 KB, patch)
2004-02-26 22:20 UTC, Meno Abels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Meno Abels 2004-02-26 22:20:18 UTC

Fix: Update port: mail/crm114 in the crm114 package are missing the contributed 
        scripts and the prelearned spam and nonspam database. Secondary i updated
        the version from 20040212 -> 20040221.
        If my patch didn't have the uniformed patch format please give me a hint
        what i have to change the next time i contribute an patch. All examples
        i found uses diff -ruN /usr/ports/....
How-To-Repeat: 	...
Comment 1 Oliver Eikemeier 2004-02-26 23:00:07 UTC
> +# i am very unhappy about the version naming of crm114
> +# but i didn't see any solutions that removes the redundancy.
> +# Portlint is brutal in that case.
> +# WARNING think on CRM114RELEASENAME to change
> +DISTNAME=	${PORTNAME}-${PORTVERSION}-BlameYokohama.src
> +DISTFILES=	${PORTNAME}-${PORTVERSION}-BlameYokohama.src.tar.gz \
> +		${PORTNAME}-${PORTVERSION}-BlameYokohama.css.tar.gz
>  
>  MAINTAINER=	Meno.Abels@Adviser.com
>  COMMENT=	An Markov based SpamFilter
>  
>  LIB_DEPENDS=	tre.4:${PORTSDIR}/textproc/libtre
>  
> +CRM114RELEASENAME=BlameYokohama
> +

either

DISTNAME=	${DISTBASENAME}.src
DISTFILES=	${DISTBASENAME}.src${EXTRACT_SUFX} ${DISTBASENAME}.css${EXTRACT_SUFX}
[...]
DISTBASENAME=	${PORTNAME}-${PORTVERSION}-${CRM114RELEASENAME}

or

DISTNAME=	${PORTNAME}-${PORTVERSION}-${CRM114RELEASENAME}.src
DISTFILES=	${DISTBASENAME}${EXTRACT_SUFX} ${DISTBASENAME:R}.css${EXTRACT_SUFX}

should work, wonders of the late evaluation.
Comment 2 Meno Abels 2004-02-27 13:15:31 UTC
ok i choose an solution in between of your recommendation.
Your second idea are dislike by portlint. That says if you use
DISTFILES don't use EXTRACT_SUFX. so here is the complete patch
that  where i put in an better solution than befor.

Thanks Oliver
PS. here is ne new patch and i did an version update too

diff -ruN /usr/ports/mail/crm114/Makefile /usr/ports/mail/crm114.new/Makefile
--- /usr/ports/mail/crm114/Makefile	Tue Feb 24 14:17:04 2004
+++ /usr/ports/mail/crm114.new/Makefile	Fri Feb 27 06:49:34 2004
@@ -6,17 +6,27 @@
 #
 
 PORTNAME=	crm114
-PORTVERSION=	20040212
+PORTVERSION=	20040221
+# WARNING change versionname in CRM114RELEASENAME too.
+# portlint didn't like this variable at this place.
+# So I have to put it down in this file.
+PORTREVISION=	1
 CATEGORIES=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	crm114
-DISTNAME=	${PORTNAME}-${PORTVERSION}-BlameJetlag.src
+# Oliver Eikemeier recommended the following construction
+# to avoid the reduncany of the CRM114RELEASENAME and .src and
+# .css extention.
+DISTNAME=	${PORTNAME}-${PORTVERSION}-${CRM114RELEASENAME}.src
+DISTFILES=	${DISTNAME}.tar.gz ${DISTNAME:R}.css.tar.gz
 
 MAINTAINER=	Meno.Abels@Adviser.com
 COMMENT=	An Markov based SpamFilter
 
 LIB_DEPENDS=	tre.4:${PORTSDIR}/textproc/libtre
 
+CRM114RELEASENAME=BlameYokohama
+
 USE_GETTEXT=	yes
 USE_ICONV=	yes
 
@@ -31,8 +41,25 @@
 post-install:
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
-.for i in CRM114_Mailfilter_HOWTO.txt FAQ.txt INTRO.txt QUICKREF.txt README
+.for i in CRM114_Mailfilter_HOWTO.txt FAQ.txt INTRO.txt QUICKREF.txt README \
+	classify_details.txt COLOPHON.txt knownbugs.txt things_to_do.txt
 	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+.endfor
+	${MKDIR} ${EXAMPLESDIR}
+.for i in procmailrc.recipe blacklist.mfp mailfilter.cf whitelist.mfp priolist.mfp
+	${INSTALL_DATA} ${WRKSRC}/${i} ${EXAMPLESDIR}
+.endfor
+	${MKDIR} ${WRKSRC}/fbsdinstall
+.for i in \
+	classifytest.crm exectest.crm inserttest_a.crm \
+	inserttest_b.crm learntest.crm mailfilter.crm \
+	matchtest.crm overalterisolatedtest.crm \
+	windowtest.crm
+	${SED} "1s|/usr/bin/crm|${PREFIX}/bin/crm|g" ${WRKSRC}/${i} > ${WRKSRC}/fbsdinstall/${i}
+	${INSTALL_DATA} ${WRKSRC}/fbsdinstall/${i} ${EXAMPLESDIR}
+.endfor
+.for i in nonspam.css spam.css
+	${INSTALL_DATA} ${WRKSRC}/../${PORTNAME}-${PORTVERSION}-${CRM114RELEASENAME}.css/${i} ${EXAMPLESDIR}
 .endfor
 .endif
 
diff -ruN /usr/ports/mail/crm114/distinfo /usr/ports/mail/crm114.new/distinfo
--- /usr/ports/mail/crm114/distinfo	Tue Feb 24 14:17:04 2004
+++ /usr/ports/mail/crm114.new/distinfo	Thu Feb 26 21:25:11 2004
@@ -1,2 +1,4 @@
-MD5 (crm114-20040212-BlameJetlag.src.tar.gz) = 1124fb9c18161bf4306a162e6b9fd974
-SIZE (crm114-20040212-BlameJetlag.src.tar.gz) = 760719
+MD5 (crm114-20040221-BlameYokohama.src.tar.gz) = c969c5857e6c9a423a9d1f2b31a3e072
+SIZE (crm114-20040221-BlameYokohama.src.tar.gz) = 762449
+MD5 (crm114-20040221-BlameYokohama.css.tar.gz) = e0020dbcb7fd34ac2cbe5ac6c31644f7
+SIZE (crm114-20040221-BlameYokohama.css.tar.gz) = 11772285
diff -ruN /usr/ports/mail/crm114/pkg-plist /usr/ports/mail/crm114.new/pkg-plist
--- /usr/ports/mail/crm114/pkg-plist	Tue Feb 24 14:17:04 2004
+++ /usr/ports/mail/crm114.new/pkg-plist	Thu Feb 26 21:02:29 2004
@@ -8,4 +8,25 @@
 %%PORTDOCS%%%%DOCSDIR%%/INTRO.txt
 %%PORTDOCS%%%%DOCSDIR%%/QUICKREF.txt
 %%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/classify_details.txt
+%%PORTDOCS%%%%DOCSDIR%%/COLOPHON.txt
+%%PORTDOCS%%%%DOCSDIR%%/knownbugs.txt
+%%PORTDOCS%%%%DOCSDIR%%/things_to_do.txt
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%EXAMPLESDIR%%/procmailrc.recipe
+%%EXAMPLESDIR%%/classifytest.crm
+%%EXAMPLESDIR%%/exectest.crm
+%%EXAMPLESDIR%%/inserttest_a.crm
+%%EXAMPLESDIR%%/inserttest_b.crm
+%%EXAMPLESDIR%%/learntest.crm
+%%EXAMPLESDIR%%/mailfilter.crm
+%%EXAMPLESDIR%%/matchtest.crm
+%%EXAMPLESDIR%%/overalterisolatedtest.crm
+%%EXAMPLESDIR%%/windowtest.crm
+%%EXAMPLESDIR%%/mailfilter.cf
+%%EXAMPLESDIR%%/blacklist.mfp
+%%EXAMPLESDIR%%/priolist.mfp
+%%EXAMPLESDIR%%/whitelist.mfp
+%%EXAMPLESDIR%%/spam.css
+%%EXAMPLESDIR%%/nonspam.css
+@dirrm %%EXAMPLESDIR%%

>> +# i am very unhappy about the version naming of crm114
>> +# but i didn't see any solutions that removes the redundancy.
>> +# Portlint is brutal in that case.
>> +# WARNING think on CRM114RELEASENAME to change
>> +DISTNAME=    ${PORTNAME}-${PORTVERSION}-BlameYokohama.src
>> +DISTFILES=    ${PORTNAME}-${PORTVERSION}-BlameYokohama.src.tar.gz \
>> +        ${PORTNAME}-${PORTVERSION}-BlameYokohama.css.tar.gz
>>  
>>  MAINTAINER=    Meno.Abels@Adviser.com
>>  COMMENT=    An Markov based SpamFilter
>>  
>>  LIB_DEPENDS=    tre.4:${PORTSDIR}/textproc/libtre
>>  
>> +CRM114RELEASENAME=BlameYokohama
>> +
>
>
> either
>
> DISTNAME=    ${DISTBASENAME}.src
> DISTFILES=    ${DISTBASENAME}.src${EXTRACT_SUFX}
> ${DISTBASENAME}.css${EXTRACT_SUFX}
> [...]
> DISTBASENAME=    ${PORTNAME}-${PORTVERSION}-${CRM114RELEASENAME}
>
> or
>
> DISTNAME=    ${PORTNAME}-${PORTVERSION}-${CRM114RELEASENAME}.src
> DISTFILES=    ${DISTBASENAME}${EXTRACT_SUFX}
> ${DISTBASENAME:R}.css${EXTRACT_SUFX}
>
> should work, wonders of the late evaluation.
>
>


-- 
Meno Abels      blog: http://blog.adviser.com
Europaring 30   eMail: meno.abels@adviser.com
21423 Winsen     Tel: +49 4171 600918
Germany        Mobil: +49 179 4736248
Comment 3 Pav Lucistnik freebsd_committer 2004-03-01 21:11:43 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Note that you can't modify content of ${WRKDIR} in install 
stage, so I moved patching of .crm files to post-build